Index: extensions/mypolls/language/it_IT/index.php
===================================================================
--- extensions/mypolls/language/it_IT/index.php	(revision 3785)
+++ extensions/mypolls/language/it_IT/index.php	(revision 3785)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/mypolls/language/it_IT/plugin.lang.php
===================================================================
--- extensions/mypolls/language/it_IT/plugin.lang.php	(revision 3785)
+++ extensions/mypolls/language/it_IT/plugin.lang.php	(revision 3785)
@@ -0,0 +1,165 @@
+<?php
+
+/* -----------------------------------------------------------------------------
+
+----------------------------------------------------------------------------- */
+
+
+$lang['mypolls_action_ko'] = 'L\'azzione è fallita';
+$lang['mypolls_action_ok'] = 'L\'azzione è andata a buon\' porto';
+$lang['mypolls_add_answer'] = 'Aggiungere una risposta';
+$lang['mypolls_admin_add'] = 'Creare un nuovo sondaggio';
+$lang['mypolls_admin_edit'] = 'Editate';
+$lang['mypolls_adviser_not_allowed'] = 'Il profilo consigliere non permette d\'effettuare questo tipo d\'operazione';
+$lang['mypolls_after_vote'] = 'Con voto';
+$lang['mypolls_allowed_groups_empty'] = 'Questo sondaggio non è riservato a nessun\' gruppo';
+$lang['mypolls_allowed_users_empty'] = 'Questo sondaggio non è accessibile a nessun\' tipo d\'utente';
+$lang['mypolls_answer_maxi'] = '(%s risposte massimo)';
+$lang['mypolls_answer_order'] = '(indicate il vostro ordine di preferenza)';
+$lang['mypolls_att_after_vote_text'] = 'Testo visualizzato dopo il voto';
+$lang['mypolls_att_allow_comment'] = 'Autorizzare i commenti';
+$lang['mypolls_att_allowed_groups_default'] = 'Gruppi autorizzati per accedere al sondaggio';
+$lang['mypolls_att_allowed_users_default'] = 'Utenti autorizzati per accedere al sondaggio';
+$lang['mypolls_att_color_bars'] = 'Colori del grafico';
+$lang['mypolls_att_creation_date'] = 'Data di creazione';
+$lang['mypolls_att_description'] = 'Descrizione';
+$lang['mypolls_att_display_type'] = 'Tipo di visualizzazione';
+$lang['mypolls_att_enabled'] = 'Attivo';
+$lang['mypolls_att_language'] = 'Lingua di default';
+$lang['mypolls_att_last_vote'] = 'Data dell\'ultimo voto';
+$lang['mypolls_att_multi_max_answers'] = 'Numero massimo di risposte';
+$lang['mypolls_att_nb_questions'] = 'Numero di domande';
+$lang['mypolls_att_public_results'] = 'Risultati in accesso pubblico';
+$lang['mypolls_att_question_type'] = 'Tipo di domanda';
+$lang['mypolls_att_show_user_comment'] = 'Visualizzare i commenti';
+$lang['mypolls_att_title'] = 'Titolo';
+$lang['mypolls_att_total_votes'] = 'Numero di voti';
+$lang['mypolls_att_visible'] = 'Pubblicato';
+$lang['mypolls_att_visit_after_vote'] = 'Numero di visite dopo il voto';
+$lang['mypolls_att_visit_without_vote'] = 'Numero di visite senza voto';
+$lang['mypolls_auto_translate'] = 'Proposte di traduzione';
+$lang['mypolls_cm_answer'] = 'Risposta';
+$lang['mypolls_cm_answers'] = 'Risposte';
+$lang['mypolls_cm_nfo'] = 'Descrizione del sondaggio';
+$lang['mypolls_cm_question'] = 'Domanda';
+$lang['mypolls_cm_questions'] = 'Domande';
+$lang['mypolls_cm_settings'] = 'Opzioni';
+$lang['mypolls_cm_stars_are_needed'] = 'Gli elementi segnati da un asterisco<sup style="color:rgb(255,255,0)">*</sup> sono obbligatori';
+$lang['mypolls_cmt_submit_add'] = 'Aggiungere la traduzione';
+$lang['mypolls_cmt_submit_delete'] = 'Cancellare la traduzione';
+$lang['mypolls_cmt_submit_modify'] = 'Applicare le modifiche';
+$lang['mypolls_cnp_submit1'] = 'Creare il sondaggio';
+$lang['mypolls_cnp_submit2'] = 'Aggiungere una domanda';
+$lang['mypolls_cnp_submit3'] = 'Finalizzare il sondaggio';
+$lang['mypolls_cnp_submit4'] = 'Aggiungere la domanda';
+$lang['mypolls_comment_list'] = 'Lista dei commenti';
+$lang['mypolls_comments'] = 'Commenti';
+$lang['mypolls_config'] = 'Configurazione';
+$lang['mypolls_config_admincolor'] = 'Colori dei dati (parte amministrazione)';
+$lang['mypolls_config_color_bars'] = 'Colore dei grafici';
+$lang['mypolls_config_display_type'] = 'Tipo di visualizzazione';
+$lang['mypolls_config_generic_text_guests'] = 'Testo di default per gli ospiti';
+$lang['mypolls_config_generic_text_users'] = 'Testo di default per gli utenti';
+$lang['mypolls_config_language'] = '(Inserire le parametro per)';
+$lang['mypolls_config_maxbarwidth'] = 'Larguezza massima del grafico';
+$lang['mypolls_config_menubar_title'] = 'Titolo del menu';
+$lang['mypolls_config_mouseovercolor'] = 'Sorvolo linea';
+$lang['mypolls_config_nbcomment_per_page'] = 'Numero di commenti visualizzati per pagina';
+$lang['mypolls_config_nbuser_per_page'] = 'Numero di votanti visualizzati per pagina';
+$lang['mypolls_config_not_public_result_text'] = 'Testo visualizzato per i risultati non pubbichi';
+$lang['mypolls_delete_comment'] = '[Cancellare questo commento]';
+$lang['mypolls_display_mono'] = 'Una sola pagina con tutte le domande';
+$lang['mypolls_display_multi'] = 'Una pagina per domanda';
+$lang['mypolls_do_save'] = 'Registrare';
+$lang['mypolls_dp_submit'] = 'Cancellare il sondaggio';
+$lang['mypolls_dqp_submit'] = 'Cancellare la domanda';
+$lang['mypolls_error_on_tranlsation_number'] = 'Le traduzioni sono incomplete, il sondaggio non può essere attivato fino a quando tutti gli elementi non vengono tradotti.';
+$lang['mypolls_errors_deleting_comment'] = 'Si è verificato un errore, non è stato possibile cancellare il commento';
+$lang['mypolls_general_config'] = 'Configurazione generale';
+$lang['mypolls_gpc_not_installed'] = 'Il plugin <i>grum_plugins_classes</i> non è installato ; questo plugin necessita che il plugin <i>grum_plugins_classes</i> sia installato per potere funzionare. L\'installazione è stata annullata.';
+$lang['mypolls_infos_deleted_comment'] = 'Il commento è stato cancellato';
+$lang['mypolls_integration_config'] = 'Integrazione di MyPolls nell\'interfacia di Piwigo';
+$lang['mypolls_lang'] = 'Lingua';
+$lang['mypolls_langs'] = 'Lingue';
+$lang['mypolls_list_actions'] = 'Azioni';
+$lang['mypolls_list_date'] = 'Data';
+$lang['mypolls_list_enabled'] = 'Attivo';
+$lang['mypolls_list_id'] = '#Id';
+$lang['mypolls_list_lang'] = 'Lingue';
+$lang['mypolls_list_last_vote'] = 'Ultimo voto';
+$lang['mypolls_list_lnk_modify'] = 'Modificare';
+$lang['mypolls_list_lnk_modify_parent'] = 'Ritornare in modificazione sul sondaggio';
+$lang['mypolls_list_lnk_view'] = 'Consultare';
+$lang['mypolls_list_nbquestions'] = 'Domande';
+$lang['mypolls_list_title'] = 'Titolo';
+$lang['mypolls_list_total'] = 'Voti';
+$lang['mypolls_list_visible'] = 'Pubblicato';
+$lang['mypolls_menu_not_enabled'] = '!A';
+$lang['mypolls_menu_not_publicr'] = '!R';
+$lang['mypolls_menu_not_visible'] = '!P';
+$lang['mypolls_modify_a_question'] = 'Modificare/cancellare una domanda';
+$lang['mypolls_modify_a_translation'] = 'Modificare/cancellare una traduzione';
+$lang['mypolls_modify_questions'] = 'Modifiche da inserire nelle domande ';
+$lang['mypolls_mp_add_a_question'] = 'Aggiungere una domanda';
+$lang['mypolls_mp_add_a_translation'] = 'Aggiungere una traduzione';
+$lang['mypolls_mp_submit'] = 'Applicare le modifiche';
+$lang['mypolls_msg_add_question'] = 'Aggiungere una domanda';
+$lang['mypolls_msg_add_translation'] = 'Aggiungere una traduzione';
+$lang['mypolls_msg_create_new_poll'] = 'Creazione di un nuovo sondaggio';
+$lang['mypolls_msg_delete_poll'] = 'Sopressione del sondaggio';
+$lang['mypolls_msg_delete_question'] = 'Sopressione della domanda';
+$lang['mypolls_msg_delete_translation'] = 'Sopressione della traduzione';
+$lang['mypolls_msg_modify_poll'] = 'Modifica del sondaggio';
+$lang['mypolls_msg_modify_question'] = 'Modifica della domanda';
+$lang['mypolls_msg_modify_translation'] = 'Modifica della traduzione';
+$lang['mypolls_new_poll'] = 'Creare un nuovo sondaggio';
+$lang['mypolls_next_question'] = 'Domanda seguente';
+$lang['mypolls_no'] = 'No';
+$lang['mypolls_no_comment_to_delete'] = 'Non ci sono commenti da sopprimere';
+$lang['mypolls_not_able_to_call_google'] = 'Le funzionalità proposte dal vostro provaider non vi permettono di disporre della funzione <i>proposta di traduczione</i>';
+$lang['mypolls_not_public_results'] = 'Mi dispiace, ma i risultati del sondaggio non sono pubblici';
+$lang['mypolls_number_of_polls0'] = '[Nessun sondaggio]';
+$lang['mypolls_number_of_polls1'] = '[1 sondaggio]';
+$lang['mypolls_number_of_pollsn'] = '[%s sondaggi]';
+$lang['mypolls_options_view'] = 'Opzioni della consultazione';
+$lang['mypolls_page_label'] = 'Pagina';
+$lang['mypolls_pages_label'] = 'Pagine';
+$lang['mypolls_poll_display_config'] = 'Visualizzare il sondaggio';
+$lang['mypolls_poll_enabled'] = 'Sondaggio attivo';
+$lang['mypolls_poll_visible'] = 'Sondaggio pubblicato';
+$lang['mypolls_polls'] = 'Sondaggi';
+$lang['mypolls_put_comment'] = 'Potete lasciare un commento sul sondaggio';
+$lang['mypolls_question_mono'] = 'Una sola risposta possibile';
+$lang['mypolls_question_multi'] = 'Più risposte possibili';
+$lang['mypolls_question_order'] = 'Risposte per ordine di preferenze';
+$lang['mypolls_result_nbanswers'] = 'Voti';
+$lang['mypolls_result_nbanswers_lang'] = 'N. di voti<br>(%s)';
+$lang['mypolls_result_no_vote'] = 'non ci sono encora voti';
+$lang['mypolls_result_pct'] = '% delle risposte';
+$lang['mypolls_save_config'] = 'Registrare la configurazione';
+$lang['mypolls_select_question'] = 'Selezionare la domanda da modificare';
+$lang['mypolls_select_translation'] = 'Selezionare la traduzione da modificare';
+$lang['mypolls_submit_results'] = 'Inviare il voto';
+$lang['mypolls_title'] = 'MyPolls-II';
+$lang['mypolls_title_adding'] = 'Modifica di un sondaggio - Aggiungere una domanda';
+$lang['mypolls_title_config'] = 'Configurazione dei parametri di default';
+$lang['mypolls_title_create'] = 'Creazione di un nuovo sondaggio';
+$lang['mypolls_title_list'] = 'Lista dei sondaggi';
+$lang['mypolls_title_modify'] = 'Modifica di un sondaggio';
+$lang['mypolls_title_translation_adding'] = 'Modifica di un sondaggio - Aggiungere una traduzione';
+$lang['mypolls_title_translation_modify'] = 'Modifica di un sondaggio - Modificare una traduzione';
+$lang['mypolls_title_view'] = 'Consultare un sondaggio';
+$lang['mypolls_trans_from'] = 'Tradurre da';
+$lang['mypolls_trans_fromto'] = 'Lingua di traduzione';
+$lang['mypolls_trans_list'] = 'Traduzioni';
+$lang['mypolls_trans_to'] = 'Tradurre verso';
+$lang['mypolls_version'] = 'v';
+$lang['mypolls_visits'] = 'Visite';
+$lang['mypolls_voter_list'] = 'Lista dei votanti';
+$lang['mypolls_without_vote'] = 'Senza voto';
+$lang['mypolls_yes'] = 'Si';
+$lang['mypolls_yesno_n'] = 'No';
+$lang['mypolls_yesno_y'] = 'Si';
+
+
+?>