Index: /extensions/ContactForm/language/it_IT/description.txt
===================================================================
--- /extensions/ContactForm/language/it_IT/description.txt	(revision 3790)
+++ /extensions/ContactForm/language/it_IT/description.txt	(revision 3790)
@@ -0,0 +1,1 @@
+Aggiunge un elemento "Contattare" nel blocco Menu alfine di offrire un formulario di contatto agli utenti
Index: /extensions/akBookStyle/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/akBookStyle/trunk/language/it_IT/plugin.lang.php	(revision 3790)
+++ /extensions/akBookStyle/trunk/language/it_IT/plugin.lang.php	(revision 3790)
@@ -0,0 +1,5 @@
+<?php
+$lang['ak_title'] = "ak Book Style";
+$lang['ak_intro'] = "Questo plugin permette di gestire una presentazione alternativa della vostra galleria con le miniature sulla stessa pagina di una foto media.";
+$lang['ak_info'] = "";
+?>
Index: /extensions/hotblocker/language/it_IT/index.php
===================================================================
--- /extensions/hotblocker/language/it_IT/index.php	(revision 3790)
+++ /extensions/hotblocker/language/it_IT/index.php	(revision 3790)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hotblocker/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/hotblocker/language/it_IT/plugin.lang.php	(revision 3790)
+++ /extensions/hotblocker/language/it_IT/plugin.lang.php	(revision 3790)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['hb_description'] = 'Creare un file ".htaccess" nella directory gallerie per impedire il "hot linking" : <br />Le foto protette saranno rimpiazzate da :';
+$lang['hb_description2']= 'Ma autorizzare il hotlink delle miniature reando un file ".htaccess" in ogni directory "thumbnail"';
+$lang['hb_submit'] 		= 'Salvare';
+$lang['hb_aide'] 		= 'Nota :<br />Sopprimere il plugin senza togliere la protezzione delle directory non cancella i file ".htaccess".<br />Dopo l\'agiunta di categorie fisiche, bisognera riproteggere la galleria.<br />';
+$lang['hb_protect'] 	= 'Proteggere';
+
+?>