Index: extensions/addThis/language/it_IT/index.php
===================================================================
--- extensions/addThis/language/it_IT/index.php	(revision 3797)
+++ extensions/addThis/language/it_IT/index.php	(revision 3797)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/addThis/language/it_IT/plugin.lang.php
===================================================================
--- extensions/addThis/language/it_IT/plugin.lang.php	(revision 3797)
+++ extensions/addThis/language/it_IT/plugin.lang.php	(revision 3797)
@@ -0,0 +1,44 @@
+<?php
+/*
+ * Plugin Name: AddThis
+ * Version: 0.0.3
+ * Description: Addthis activation
+ * Plugin URI: http://fr.piwigo.org/ext/extension_view.php
+ * Author: Tiico
+ * Author URI: 
+ * */
+/********* Fichier FR plugin.lang.php  *********/
+// AddThis button
+$lang['adthis_admin_title'] = 'Configurazione del plugin Addthis';
+$lang['addthis_bannercfg_title'] = 'Parametri di visualizzazione';
+$lang['addthis_bannerselect_label'] = 'Typo di visualizzazione del banner Addthis';
+$lang['addthis_Home_label'] = 'Home';
+$lang['addthis_Cat_label'] = 'Categorie';
+$lang['addthis_Img_label'] = 'Immagini';
+$lang['addthis_Disable_label'] = 'Disattivato';
+$lang['addthis_freetext_label'] = 'Testo libero : ';
+$lang['addthis_icnonb_label'] = 'Unicamente icone (limitate a ';
+$lang['addthis_paramcfg_title'] = 'Parametri di configurazione';
+$lang['addthis_optionselect_label'] = 'Possibilità di personalizzare la visualizzazione del menu AddThis con le optioni seguenti';
+$lang['addthis_pub_label'] = 'Id del conto AddThis [Opzionale]';
+$lang['addthis_brand_label'] = 'Titolo del link [Opzionale]';
+$lang['addthis_languser_label'] = 'Presa in conto della lingua del\'utente. ';
+$lang['addthis_language_label'] = 'Lingua di default : ';
+$lang['addthis_headerbackground_label'] = 'Colore dello sfondo del menu [Opzionale] : ';
+$lang['addthis_headercolor_label'] = 'Colore del testo del menu [Opzionale] : ';
+$lang['addthis_top_label'] = 'orizzontale';
+$lang['addthis_left_label'] = 'verticale';
+$lang['addthis_offset_label'] = 'Spostamento del menu [Opzionale] :';
+$lang['addthis_hover_delay_label'] = 'Attesa di visualizzazione del menu [Opzionale] :';
+$lang['addthis_iconcfg_title'] = 'Icone e link presi in conto nel menu AddThis';
+
+$lang['addthis_admin_submit'] = 'Salvare';
+$lang['addthis_admin_submit_default_parameters'] = 'Parametri di default';
+$lang['addthis_admin_icon_nb'] = 'Attention : le nombre d\'icones s&eacute;lectionn&eacute; est trop important';
+$lang['addthis_admin_saveOK'] = 'Parametri salvati';
+$lang['addthis_admin_defautvalueOK'] = 'Parametri di default ristabiliti';
+
+
+
+
+?>