Index: /extensions/akBookStyle/trunk/admin.php
===================================================================
--- /extensions/akBookStyle/trunk/admin.php	(revision 3801)
+++ /extensions/akBookStyle/trunk/admin.php	(revision 3802)
@@ -37,7 +37,19 @@
   }
 
-  if (!empty($_POST['ak_thumbnail_size']) && intval($_POST['ak_thumbnail_size'])!=$me->ak_thumbnail_size) {
-    $me->ak_thumbnail_size = intval($_POST['ak_thumbnail_size']);
+  if (!empty($_POST['ak_thumbnail_size']) && $_POST['ak_thumbnail_size']!=$me->ak_thumbnail_size) {
+    $me->ak_thumbnail_size = (int) $_POST['ak_thumbnail_size'];
     array_push($GLOBALS['page']['infos'], $lang['ak_thumbnail_size_changed']);
+    $save_config = true;
+  }
+
+  if (!empty($_POST['ak_show_over']) && $_POST['ak_show_over']!=$me->ak_show_over) {
+    $me->ak_show_over = ($_POST['ak_show_over']=='true')?'true':'false';
+    array_push($GLOBALS['page']['infos'], $lang['ak_show_over_changed']);
+    $save_config = true;
+  }
+
+  if (!empty($_POST['ak_thumbnails_loc']) && $_POST['ak_thumbnails_loc']!=$me->ak_thumbnails_loc) {
+    $me->ak_thumbnails_loc = (in_array($_POST['ak_thumbnails_loc'],array('top','left','bottom','right')))?$_POST['ak_thumbnails_loc']:'left';
+    array_push($GLOBALS['page']['infos'], $lang['ak_thumbnails_loc_changed']);
     $save_config = true;
   }
@@ -47,9 +59,10 @@
   }
 }
-
 $GLOBALS['template']->set_filenames(array('plugin_admin_content' => AK_PLUGIN_TEMPLATE . '/admin.tpl'));
 $GLOBALS['template']->assign('AK_PLUGIN_CSS', AK_PLUGIN_CSS); 
 $GLOBALS['template']->assign('AK_BY_LINE', $me->ak_by_line); 
 $GLOBALS['template']->assign('AK_THUMBNAIL_SIZE', $me->ak_thumbnail_size); 
+$GLOBALS['template']->assign('AK_SHOW_OVER', $me->ak_show_over); 
+$GLOBALS['template']->assign('AK_THUMBNAILS_LOC', $me->ak_thumbnails_loc); 
 $GLOBALS['template']->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
 ?>
Index: /extensions/akBookStyle/trunk/css/ak_admin_style.css
===================================================================
--- /extensions/akBookStyle/trunk/css/ak_admin_style.css	(revision 3801)
+++ /extensions/akBookStyle/trunk/css/ak_admin_style.css	(revision 3802)
@@ -4,5 +4,9 @@
 }
 
-fieldset p { 
-  text-align: left;
+fieldset p.field { 
+  text-align: center;
 }
+
+fieldset p.field  input[type="radio"], fieldset p.field  input[type="checkbox"] {
+  margin:0 3px 0 15px;
+}
Index: /extensions/akBookStyle/trunk/default_values.inc.php
===================================================================
--- /extensions/akBookStyle/trunk/default_values.inc.php	(revision 3801)
+++ /extensions/akBookStyle/trunk/default_values.inc.php	(revision 3802)
@@ -27,3 +27,5 @@
 $default_values['ak_by_line'] = 2;
 $default_values['ak_thumbnail_size'] = 100;
+$default_values['ak_show_over'] = 'true';
+$default_values['ak_thumbnails_loc'] = 'left';
 ?>
Index: /extensions/akBookStyle/trunk/include/akConfig.class.php
===================================================================
--- /extensions/akBookStyle/trunk/include/akConfig.class.php	(revision 3801)
+++ /extensions/akBookStyle/trunk/include/akConfig.class.php	(revision 3802)
@@ -84,5 +84,5 @@
 
     foreach ($default_values as $key => $value) {
-      if (empty($this->config[$key])) {
+      if (!isset($this->config[$key]) or empty($this->config[$key])) {
 	$this->config[$key] = $value;
       }
Index: /extensions/akBookStyle/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/akBookStyle/trunk/language/en_UK/plugin.lang.php	(revision 3801)
+++ /extensions/akBookStyle/trunk/language/en_UK/plugin.lang.php	(revision 3802)
@@ -10,3 +10,13 @@
 $lang['ak_thumbnail_size'] = "Thumbnail size";
 $lang['ak_by_line_changed'] = "Thumbnail size has been updated";
+
+$lang['ak_show_over'] = "Over mode";
+$lang['ak_show_over_changed'] = "Over mode has been changed";
+$lang['ak_thumbnails_loc'] = "Thumbnails location";
+$lang['ak_thumbnails_loc_changed'] = "Thumbnails location has been changed";
+$lang['Top'] = "Top";
+$lang['Left'] = "Left";
+$lang['Bottom'] = "Bottom";
+$lang['Right'] = "Right";
+
 ?>
Index: /extensions/akBookStyle/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/akBookStyle/trunk/language/fr_FR/plugin.lang.php	(revision 3801)
+++ /extensions/akBookStyle/trunk/language/fr_FR/plugin.lang.php	(revision 3802)
@@ -10,3 +10,13 @@
 $lang['ak_thumbnail_size'] = "Taille des imagettes";
 $lang['ak_by_line_changed'] = "La taille des imagette a été mis à jour";
+
+
+$lang['ak_show_over'] = "Mode survol";
+$lang['ak_show_over_changed'] = "Mode survol modifié.";
+$lang['ak_thumbnails_loc'] = "Position des miniatures";
+$lang['ak_thumbnails_loc_changed'] = "Position des miniatures modifiée.";
+$lang['Top'] = "Top";
+$lang['Left'] = "Left";
+$lang['Bottom'] = "Bottom";
+$lang['Right'] = "Right";
 ?>
Index: /extensions/akBookStyle/trunk/template/admin.tpl
===================================================================
--- /extensions/akBookStyle/trunk/template/admin.tpl	(revision 3801)
+++ /extensions/akBookStyle/trunk/template/admin.tpl	(revision 3802)
@@ -24,4 +24,14 @@
     </label>
   </p>
+  <p class="field">
+    <label>{'ak_show_over'|@translate}
+   {html_radios name='ak_show_over' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$AK_SHOW_OVER}
+    </label>
+  </p>
+  <p class="field">
+    <label>{'ak_thumbnails_loc'|@translate}
+   {html_radios name='ak_thumbnails_loc' values='top,left,bottom,right'|@explode output='Top,Left,Bottom,Right'|@explode|translate selected=$AK_THUMBNAILS_LOC}
+    </label>
+  </p>
 </fieldset>
 