Index: /extensions/akBookStyle/trunk/include/akContent.class.php
===================================================================
--- /extensions/akBookStyle/trunk/include/akContent.class.php	(revision 3803)
+++ /extensions/akBookStyle/trunk/include/akContent.class.php	(revision 3804)
@@ -54,6 +54,8 @@
     $template->assign('AK_THUMBNAIL_SIZE', $this->plugin_config->ak_thumbnail_size);
     $template->assign('AK_RELOADED_IMAGE_TPL', AK_PLUGIN_TEMPLATE. '/ak_reloaded_image.tpl');
-		if ($this->plugin_config->ak_show_over) $template->assign('AK_SHOW_OVER', $this->plugin_config->ak_show_over); 
-  }
+		$template->assign('AK_VERTICAL_TPL', AK_PLUGIN_TEMPLATE. '/ak_vertical.tpl');
+    if ($this->plugin_config->ak_show_over) $template->assign('AK_SHOW_OVER', $this->plugin_config->ak_show_over); 
+    $template->assign('AK_THUMBNAILS_LOC', $this->plugin_config->ak_thumbnails_loc); 
+    }
 
 
Index: /extensions/akBookStyle/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/akBookStyle/trunk/language/en_UK/plugin.lang.php	(revision 3803)
+++ /extensions/akBookStyle/trunk/language/en_UK/plugin.lang.php	(revision 3804)
@@ -19,4 +19,5 @@
 $lang['Bottom'] = "Bottom";
 $lang['Right'] = "Right";
+$lang['ak_by_column'] = '(or number of lines for Top/Bottom)';
 
 ?>
Index: /extensions/akBookStyle/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/akBookStyle/trunk/language/fr_FR/plugin.lang.php	(revision 3803)
+++ /extensions/akBookStyle/trunk/language/fr_FR/plugin.lang.php	(revision 3804)
@@ -16,7 +16,9 @@
 $lang['ak_thumbnails_loc'] = "Position des miniatures";
 $lang['ak_thumbnails_loc_changed'] = "Position des miniatures modifiée.";
-$lang['Top'] = "Top";
-$lang['Left'] = "Left";
-$lang['Bottom'] = "Bottom";
-$lang['Right'] = "Right";
+$lang['Top'] = "au dessus";
+$lang['Left'] = "à gauche";
+$lang['Bottom'] = "en bas";
+$lang['Right'] = "à droite";
+$lang['ak_by_column'] = '(ou nombre de lignes si dessus ou en bas)';
+
 ?>
Index: /extensions/akBookStyle/trunk/template/admin.tpl
===================================================================
--- /extensions/akBookStyle/trunk/template/admin.tpl	(revision 3803)
+++ /extensions/akBookStyle/trunk/template/admin.tpl	(revision 3804)
@@ -1,8 +1,8 @@
 <div class="titrePage">
-  <h2>{'ak_title'|@translate}</h2>
+  <h2>{'ak_title'|translate}</h2>
 </div>
 
 <p>
-{'ak_intro'|@translate}
+{'ak_intro'|translate}
 </p>
 
@@ -13,28 +13,28 @@
 <form method="post" action="" class="general">
 <fieldset>
-  <legend>{'ak_general_config'|@translate}</legend>
+  <legend>{'ak_general_config'|translate}</legend>
   <p class="field">
-    <label>{'ak_by_line'|@translate}
-      <input type="text" name="ak_by_line" value="{$AK_BY_LINE}">
+    <label>{'ak_by_line'|translate}
+      <input type="text" name="ak_by_line" value="{$AK_BY_LINE}"> {'ak_by_column'|translate}
     </label>
   </p>
   <p class="field">
-    <label>{'ak_thumbnail_size'|@translate}
+    <label>{'ak_thumbnail_size'|translate}
       <input type="text" name="ak_thumbnail_size" value="{$AK_THUMBNAIL_SIZE}">
     </label>
   </p>
   <p class="field">
-    <label>{'ak_show_over'|@translate}
+    <label>{'ak_show_over'|translate}
    {html_radios name='ak_show_over' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$AK_SHOW_OVER}
     </label>
   </p>
   <p class="field">
-    <label>{'ak_thumbnails_loc'|@translate}
-   {html_radios name='ak_thumbnails_loc' values='top,left,bottom,right'|@explode output='Top,Left,Bottom,Right'|@explode|translate selected=$AK_THUMBNAILS_LOC}
+    <label>{'ak_thumbnails_loc'|translate}
+   {html_radios name='ak_thumbnails_loc' values='top,right,bottom,left'|@explode output='Top,Right,Bottom,Left'|@explode|translate selected=$AK_THUMBNAILS_LOC}
     </label>
   </p>
 </fieldset>
 
-<p><input class="submit" type="submit" name="submit" value="{'Submit'|@translate}"></p>
+<p><input class="submit" type="submit" name="submit" value="{'Submit'|translate}"></p>
 </form>
 
Index: /extensions/akBookStyle/trunk/template/ak_thumbnails.tpl
===================================================================
--- /extensions/akBookStyle/trunk/template/ak_thumbnails.tpl	(revision 3803)
+++ /extensions/akBookStyle/trunk/template/ak_thumbnails.tpl	(revision 3804)
@@ -21,4 +21,7 @@
  $AK_NEXT['load'] = if reloadable 'load ' else '' 
  $AK_NEXT['TITLE'] : title of next pic
+ 
+ $AK_THUMBNAILS_LOC : Thumbnails location
+ $AK_SHOW_OVER : hover or click
 *}
 
@@ -28,54 +31,13 @@
 <table class="ak_display"> 
   <tr>
-    <td>
-      <table class="thumbnails">
-        {foreach from=$thumbnails item=thumbnail name=tn}
-        {if $smarty.foreach.tn.index % $AK_BY_LINE == 0}
-        <tr class="nline">
-          {/if}
-          <td class="ncol">
-	    <div class="clipwrapper" style="width:{$AK_THUMBNAIL_SIZE}px;height:{$AK_THUMBNAIL_SIZE}px">
-	      <div class="clip" style="clip:rect({$thumbnail.CLIP_TOP}px {$thumbnail.CLIP_RIGHT}px {$thumbnail.CLIP_BOTTOM}px {$thumbnail.CLIP_LEFT}px);top:-{$thumbnail.CLIP_TOP}px;left:-{$thumbnail.CLIP_LEFT}px">
-		<a href="{$thumbnail.AK_URL}" class="load">
-		  <img class="thumbnail" src="{$thumbnail.TN_SRC}" 
-		       alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}">
-		</a>
-	      </div>
-	    </div>
-          </td>
-        {if ($smarty.foreach.tn.iteration % $AK_BY_LINE == 0) or $smarty.foreach.tn.last }
-        </tr>
-        {/if}
-        {/foreach}
-        
-        {if !empty($NAV_BAR) } {* thumbnails navigation bar *}
-        <tr class="nline">
-          <td class="left">
-            {if isset($AK_NAV_PREV)} 
-            <a class="navButton" href="{$AK_NAV_PREV}" 
-               title="{'previous_page'|@translate}">
-              <img src="{$ROOT_URL}{$themeconf.icon_dir}/left.png" 
-             class="button" alt="{'previous_page'|@translate}">
-            </a> 
-            {/if}
-          </td>
-          <td class="right">
-            {if isset($AK_NAV_NEXT)} 
-            <a class="navButton" href="{$AK_NAV_NEXT}" 
-               title="{'next_page'|@translate}">
-              <img src="{$ROOT_URL}{$themeconf.icon_dir}/right.png" 
-             class="button" alt="{'next_page'|@translate}">
-            </a> 
-            {/if}
-          </td>
-        </tr>
-        {/if} 
-      </table> {* end of Thumbnails *}
-
-    </td>
-    
+	{if $AK_THUMBNAILS_LOC == 'left'}
+    {include file=$AK_VERTICAL_TPL|@get_extent:'vertical_thmubs'} 
+  {/if}
     <td> {* Picture *}
       {include file=$AK_RELOADED_IMAGE_TPL|@get_extent:'picture_reload'} 
     </td>
+	{if $AK_THUMBNAILS_LOC == 'right'}
+    {include file=$AK_VERTICAL_TPL|@get_extent:'vertical_thmubs'} 
+  {/if}
   </tr>
 </table>
Index: /extensions/akBookStyle/trunk/template/ak_vertical.tpl
===================================================================
--- /extensions/akBookStyle/trunk/template/ak_vertical.tpl	(revision 3804)
+++ /extensions/akBookStyle/trunk/template/ak_vertical.tpl	(revision 3804)
@@ -0,0 +1,46 @@
+    <td>
+      <table class="thumbnails">
+        {foreach from=$thumbnails item=thumbnail name=tn}
+        {if $smarty.foreach.tn.index % $AK_BY_LINE == 0}
+        <tr class="nline">
+          {/if}
+          <td class="ncol">
+	    <div class="clipwrapper" style="width:{$AK_THUMBNAIL_SIZE}px;height:{$AK_THUMBNAIL_SIZE}px">
+	      <div class="clip" style="clip:rect({$thumbnail.CLIP_TOP}px {$thumbnail.CLIP_RIGHT}px {$thumbnail.CLIP_BOTTOM}px {$thumbnail.CLIP_LEFT}px);top:-{$thumbnail.CLIP_TOP}px;left:-{$thumbnail.CLIP_LEFT}px">
+		<a href="{$thumbnail.AK_URL}" class="load">
+		  <img class="thumbnail" src="{$thumbnail.TN_SRC}" 
+		       alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}">
+		</a>
+	      </div>
+	    </div>
+          </td>
+        {if ($smarty.foreach.tn.iteration % $AK_BY_LINE == 0) or $smarty.foreach.tn.last }
+        </tr>
+        {/if}
+        {/foreach}
+        
+        {if isset($AK_NAV_PREV) or isset($AK_NAV_NEXT)} {* thumbnails navigation bar *}
+        <tr class="nline">
+          <td class="left">
+            {if isset($AK_NAV_PREV)} 
+            <a class="navButton" href="{$AK_NAV_PREV}" 
+               title="{'previous_page'|@translate}">
+              <img src="{$ROOT_URL}{$themeconf.icon_dir}/left.png" 
+             class="button" alt="{'previous_page'|@translate}">
+            </a> 
+            {/if}
+          </td>
+          <td class="right">
+            {if isset($AK_NAV_NEXT)} 
+            <a class="navButton" href="{$AK_NAV_NEXT}" 
+               title="{'next_page'|@translate}">
+              <img src="{$ROOT_URL}{$themeconf.icon_dir}/right.png" 
+             class="button" alt="{'next_page'|@translate}">
+            </a> 
+            {/if}
+          </td>
+        </tr>
+        {/if} 
+      </table> {* end of Thumbnails *}
+
+    </td>