Index: /extensions/akBookStyle/trunk/admin.php
===================================================================
--- /extensions/akBookStyle/trunk/admin.php	(revision 3805)
+++ /extensions/akBookStyle/trunk/admin.php	(revision 3806)
@@ -25,4 +25,8 @@
 }
 
+$ThumbnailsLocations = array('top','left','bottom','right');
+$MouseEvents = array('click' => 'ak_event_click',
+		     'mouseover' => 'ak_event_mouseover');
+
 load_language('plugin.lang', AK_PLUGIN_LANG);
 
@@ -43,12 +47,12 @@
   }
 
-  if (!empty($_POST['ak_show_over']) && $_POST['ak_show_over']!=$me->ak_show_over) {
-    $me->ak_show_over = ($_POST['ak_show_over']=='true')?'true':'false';
-    array_push($GLOBALS['page']['infos'], $lang['ak_show_over_changed']);
+  if (!empty($_POST['ak_mouse_event']) && $_POST['ak_mouse_event']!=$me->ak_mouse_event) {
+    $me->ak_mouse_event = isset($MouseEvents[$_POST['ak_mouse_event']])?$_POST['ak_mouse_event']:'click';
+    array_push($GLOBALS['page']['infos'], $lang['ak_mouse_event_changed']);
     $save_config = true;
   }
 
   if (!empty($_POST['ak_thumbnails_loc']) && $_POST['ak_thumbnails_loc']!=$me->ak_thumbnails_loc) {
-    $me->ak_thumbnails_loc = (in_array($_POST['ak_thumbnails_loc'],array('top','left','bottom','right')))?$_POST['ak_thumbnails_loc']:'left';
+    $me->ak_thumbnails_loc = in_array($_POST['ak_thumbnails_loc'],$ThumbnailsLocations)?$_POST['ak_thumbnails_loc']:'left';
     array_push($GLOBALS['page']['infos'], $lang['ak_thumbnails_loc_changed']);
     $save_config = true;
@@ -63,6 +67,9 @@
 $GLOBALS['template']->assign('AK_BY_LINE', $me->ak_by_line); 
 $GLOBALS['template']->assign('AK_THUMBNAIL_SIZE', $me->ak_thumbnail_size); 
-$GLOBALS['template']->assign('AK_SHOW_OVER', $me->ak_show_over); 
+$GLOBALS['template']->assign('AK_MOUSE_EVENT', $me->ak_mouse_event); 
+$GLOBALS['template']->assign('AK_AVAILABLE_EVENTS', array_keys($MouseEvents)); 
+$GLOBALS['template']->assign('AK_EVENTS_LABELS', array_values($MouseEvents)); 
 $GLOBALS['template']->assign('AK_THUMBNAILS_LOC', $me->ak_thumbnails_loc); 
+$GLOBALS['template']->assign('AK_THUMBNAILS_LOCATIONS', $ThumbnailsLocations); 
 $GLOBALS['template']->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
 ?>
Index: /extensions/akBookStyle/trunk/css/ak_admin_style.css
===================================================================
--- /extensions/akBookStyle/trunk/css/ak_admin_style.css	(revision 3805)
+++ /extensions/akBookStyle/trunk/css/ak_admin_style.css	(revision 3806)
@@ -4,6 +4,6 @@
 }
 
-fieldset p.field { 
-  text-align: center;
+fieldset, fieldset p { 
+  text-align: left;
 }
 
Index: /extensions/akBookStyle/trunk/default_values.inc.php
===================================================================
--- /extensions/akBookStyle/trunk/default_values.inc.php	(revision 3805)
+++ /extensions/akBookStyle/trunk/default_values.inc.php	(revision 3806)
@@ -27,5 +27,5 @@
 $default_values['ak_by_line'] = 2;
 $default_values['ak_thumbnail_size'] = 100;
-$default_values['ak_show_over'] = 'true';
+$default_values['ak_mouse_event'] = 'click';
 $default_values['ak_thumbnails_loc'] = 'left';
 ?>
Index: /extensions/akBookStyle/trunk/include/akContent.class.php
===================================================================
--- /extensions/akBookStyle/trunk/include/akContent.class.php	(revision 3805)
+++ /extensions/akBookStyle/trunk/include/akContent.class.php	(revision 3806)
@@ -52,10 +52,10 @@
     $template->assign('AK_PIC_SRC', get_image_url($images[$this->current_picture]));
     $template->assign('AK_BY_LINE', $this->plugin_config->ak_by_line);
+    $template->assign('AK_MOUSE_EVENT', $this->plugin_config->ak_mouse_event);
     $template->assign('AK_THUMBNAIL_SIZE', $this->plugin_config->ak_thumbnail_size);
     $template->assign('AK_RELOADED_IMAGE_TPL', AK_PLUGIN_TEMPLATE. '/ak_reloaded_image.tpl');
-		$template->assign('AK_VERTICAL_TPL', AK_PLUGIN_TEMPLATE. '/ak_vertical.tpl');
-    if ($this->plugin_config->ak_show_over) $template->assign('AK_SHOW_OVER', $this->plugin_config->ak_show_over); 
+    $template->assign('AK_VERTICAL_TPL', AK_PLUGIN_TEMPLATE. '/ak_vertical.tpl');
     $template->assign('AK_THUMBNAILS_LOC', $this->plugin_config->ak_thumbnails_loc); 
-    }
+  }
 
 
Index: tensions/akBookStyle/trunk/js/ak_jquery-load-hover.js
===================================================================
--- /extensions/akBookStyle/trunk/js/ak_jquery-load-hover.js	(revision 3805)
+++ 	(revision )
@@ -1,7 +1,0 @@
-$(function() {
-    $("a.load")
-      .hover(function() {
-  	  $('#akPicture').attr('src', $(this).children('img').attr('src').replace(dir_thumbnail+'\/'+prefix_thumbnail, ''));
-	  return false;
-	});
-}); 
Index: /extensions/akBookStyle/trunk/js/ak_jquery-load.js
===================================================================
--- /extensions/akBookStyle/trunk/js/ak_jquery-load.js	(revision 3805)
+++ /extensions/akBookStyle/trunk/js/ak_jquery-load.js	(revision 3806)
@@ -1,5 +1,5 @@
 $(function() {
     $("a.load")
-      .click(function() {
+      .bind(ak_mouse_event, function() {
   	  $('#akPicture').attr('src', $(this).children('img').attr('src').replace(dir_thumbnail+'\/'+prefix_thumbnail, ''));
 	  return false;
Index: /extensions/akBookStyle/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/akBookStyle/trunk/language/en_UK/plugin.lang.php	(revision 3805)
+++ /extensions/akBookStyle/trunk/language/en_UK/plugin.lang.php	(revision 3806)
@@ -11,12 +11,14 @@
 $lang['ak_by_line_changed'] = "Thumbnail size has been updated";
 
-$lang['ak_show_over'] = "Over mode";
-$lang['ak_show_over_changed'] = "Over mode has been changed";
+$lang['ak_event_click'] = "click";
+$lang['ak_event_mouseover'] = "mouseover";
+$lang['ak_mouse_event'] = "Event to show medium picture.";
+$lang['ak_mouse_event_changed'] = "Event to show medium picture has been updated.";
 $lang['ak_thumbnails_loc'] = "Thumbnails location";
 $lang['ak_thumbnails_loc_changed'] = "Thumbnails location has been changed";
-$lang['Top'] = "Top";
-$lang['Left'] = "Left";
-$lang['Bottom'] = "Bottom";
-$lang['Right'] = "Right";
+$lang['top'] = "Top";
+$lang['left'] = "Left";
+$lang['bottom'] = "Bottom";
+$lang['right'] = "Right";
 $lang['ak_by_column'] = '(or number of lines for Top/Bottom)';
 
Index: /extensions/akBookStyle/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/akBookStyle/trunk/language/fr_FR/plugin.lang.php	(revision 3805)
+++ /extensions/akBookStyle/trunk/language/fr_FR/plugin.lang.php	(revision 3806)
@@ -11,14 +11,16 @@
 $lang['ak_by_line_changed'] = "La taille des imagette a été mis à jour";
 
+$lang['ak_event_click'] = "clic";
+$lang['ak_event_mouseover'] = "survol";
+$lang['ak_mouse_event'] = "Evénement déclenchant l'affichage de l'image.";
+$lang['ak_mouse_event_changed'] = "Le mode d'affichage de l'image a été modifié.";
 
-$lang['ak_show_over'] = "Mode survol";
-$lang['ak_show_over_changed'] = "Mode survol modifié.";
 $lang['ak_thumbnails_loc'] = "Position des miniatures";
 $lang['ak_thumbnails_loc_changed'] = "Position des miniatures modifiée.";
-$lang['Top'] = "au dessus";
-$lang['Left'] = "à gauche";
-$lang['Bottom'] = "en bas";
-$lang['Right'] = "à droite";
-$lang['ak_by_column'] = '(ou nombre de lignes si dessus ou en bas)';
+$lang['top'] = "au dessus";
+$lang['left'] = "à gauche";
+$lang['bottom'] = "en bas";
+$lang['right'] = "à droite";
+$lang['ak_by_column'] = '(ou nombre de lignes, si dessus ou en bas)';
 
 ?>
Index: /extensions/akBookStyle/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/akBookStyle/trunk/language/it_IT/plugin.lang.php	(revision 3805)
+++ /extensions/akBookStyle/trunk/language/it_IT/plugin.lang.php	(revision 3806)
@@ -11,13 +11,15 @@
 $lang['ak_by_line_changed'] = "Le dimenzioni delle imaginette sono state aggiornate";
 
+$lang['ak_event_click'] = "click";
+$lang['ak_event_mouseover'] = "mouseover";
+$lang['ak_mouse_event'] = "Event to show medium picture.";
+$lang['ak_mouse_event_changed'] = "Event to show medium picture has been updated.";
 
-$lang['ak_show_over'] = "Modo sorvolo";
-$lang['ak_show_over_changed'] = "Modo sorvolo modificato.";
 $lang['ak_thumbnails_loc'] = "Posizione delle miniature";
 $lang['ak_thumbnails_loc_changed'] = "Posizione delle miniature modificate.";
-$lang['Top'] = "sopra";
-$lang['Left'] = "a sinistra";
-$lang['Bottom'] = "sotto";
-$lang['Right'] = "a destra";
+$lang['top'] = "sopra";
+$lang['left'] = "a sinistra";
+$lang['bottom'] = "sotto";
+$lang['right'] = "a destra";
 $lang['ak_by_column'] = '(o numero di righe se sopra o sotto)';
 
Index: /extensions/akBookStyle/trunk/template/admin.tpl
===================================================================
--- /extensions/akBookStyle/trunk/template/admin.tpl	(revision 3805)
+++ /extensions/akBookStyle/trunk/template/admin.tpl	(revision 3806)
@@ -25,11 +25,11 @@
   </p>
   <p class="field">
-    <label>{'ak_show_over'|translate}
-   {html_radios name='ak_show_over' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$AK_SHOW_OVER}
+    <label>{'ak_mouse_event'|translate}
+   {html_radios name='ak_mouse_event' values=$AK_AVAILABLE_EVENTS output=$AK_EVENTS_LABELS|translate selected=$AK_MOUSE_EVENT}
     </label>
   </p>
   <p class="field">
     <label>{'ak_thumbnails_loc'|translate}
-   {html_radios name='ak_thumbnails_loc' values='top,right,bottom,left'|@explode output='Top,Right,Bottom,Left'|@explode|translate selected=$AK_THUMBNAILS_LOC}
+   {html_radios name='ak_thumbnails_loc' values=$AK_THUMBNAILS_LOCATIONS output=$AK_THUMBNAILS_LOCATIONS|translate selected=$AK_THUMBNAILS_LOC}
     </label>
   </p>
Index: /extensions/akBookStyle/trunk/template/ak_thumbnails.tpl
===================================================================
--- /extensions/akBookStyle/trunk/template/ak_thumbnails.tpl	(revision 3805)
+++ /extensions/akBookStyle/trunk/template/ak_thumbnails.tpl	(revision 3806)
@@ -48,6 +48,6 @@
 <link rel="stylesheet" type="text/css" href="{$AK_PLUGIN_CSS}/ak_style.css">
 <script type="text/javascript">
-var dir_thumbnail = '{$AK_DIR_THUMBNAIL}';prefix_thumbnail = '{$AK_PREFIX_THUMBNAIL}';
+var dir_thumbnail = '{$AK_DIR_THUMBNAIL}';prefix_thumbnail = '{$AK_PREFIX_THUMBNAIL}';var ak_mouse_event = '{$AK_MOUSE_EVENT}';
 </script>
-<script type="text/javascript" src="{$AK_PLUGIN_JS}/ak_jquery-load{if isset($AK_SHOW_OVER)}-hover{/if}.js"></script>
+<script type="text/javascript" src="{$AK_PLUGIN_JS}/ak_jquery-load.js"></script>
 {/html_head}