Index: extensions/ContactForm/admin/cf_emails.tab.php
===================================================================
--- extensions/ContactForm/admin/cf_emails.tab.php	(revision 3810)
+++ extensions/ContactForm/admin/cf_emails.tab.php	(revision 3810)
@@ -0,0 +1,45 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+check_status(ACCESS_ADMINISTRATOR);
+
+$cf_emails = $cf_config->get_value(CF_CFG_ADMIN_MAILS);
+$save = false;
+if (isset($_POST['refresh'])) {
+  $cf_emails = cf_get_admins_contacts();
+  
+  $cf_config->set_value(CF_CFG_ADMIN_MAILS, $cf_emails);
+  $save = true;
+}
+if (isset($_POST['submit'])) {
+  $webmaster = trim(stripslashes($_POST['webmaster']));
+  if (isset($_POST['active']) and (is_array($_POST['active']))) {
+    foreach($_POST['active'] as $email => $active) {
+      $email = trim(stripslashes($email));
+      $active = (1 == $active)?1:0;
+      $cf_emails[$email]['ACTIVE'] = $active;
+      if (0 == strcmp($webmaster, $email)) {
+        $cf_emails[$email]['WEBMASTER'] = 1;
+      } else {
+        $cf_emails[$email]['WEBMASTER'] = 0;
+      }
+    }
+    $cf_config->set_value(CF_CFG_ADMIN_MAILS, $cf_emails);
+    $save = true;
+  }
+}
+if ($save) {
+  // Save config
+  $cf_config->save_config();
+  $saved = $cf_config->save_config();
+  if ($saved) {
+    CF_Log::add_message(l10n('cf_config_saved'));
+  } else {
+    CF_Log::add_error(l10n('cf_config_saved_with_errors'));
+  }
+}
+$template->assign('CF_OPTIONS', array(
+    '1' => l10n('Yes'),
+    '0' => l10n('No'),
+   ));
+$template->assign('CF_EMAILS', $cf_emails);
+?>
Index: extensions/ContactForm/admin/template/cf_emails.tab.tpl
===================================================================
--- extensions/ContactForm/admin/template/cf_emails.tab.tpl	(revision 3810)
+++ extensions/ContactForm/admin/template/cf_emails.tab.tpl	(revision 3810)
@@ -0,0 +1,50 @@
+{known_script id="jquery.ui" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.core.packed.js"}
+{known_script id="jquery.ui.tabs" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.tabs.packed.js"}
+<div class="titrePage">
+    <h2>{$CF.TITLE} [{$CF.VERSION}]<br>{'cf_emails'|@translate}</h2>
+</div>
+<h3 style="width: 100%;">{'cf_emails_desc'|@translate}</h3>
+<form method="post" action="{$CF.F_ACTION}" id="update" enctype="multipart/form-data">
+<table class="table2">
+  <tr class="throw">
+    <th>{'Username'|@translate}</th>
+    <th>{'Email address'|@translate}</th>
+    <th>{'cf_active'|@translate}</th>
+    <th>{'Webmaster'|@translate}</th>
+  </tr>
+{foreach from=$CF_EMAILS item=email_item key=email}
+  <tr class="{cycle values="row2,row1"}">
+    <td>{$email_item.NAME}</td>
+    <td>{$email}</td>
+    <td style="text-align: center;">
+      {assign var=name value='active['|cat:$email|cat:']'}
+      {html_radios name=$name options=$CF_OPTIONS selected=$email_item.ACTIVE separator='&nbsp;'}
+    </td>
+    <td style="text-align: center;">
+      <input type="radio" name="webmaster" value="{$email}"{if (1==$email_item.WEBMASTER)} checked="checked"{/if}>
+    </td>
+  </tr>
+{foreachelse}
+  <tr class="row2">
+    <td colspan="4" style="text-align: center;">
+      <div>{'cf_no_mail'|@translate}</div>
+    </td>
+  </tr>
+{/foreach}
+  <tr>
+    <td colspan="4" style="text-align: center;">
+      <div class="cf-refresh"><input class="submit" type="submit" value="{'cf_refresh'|@translate}" name="refresh"></div>
+    </td>
+  </tr>
+</table>
+<p><input class="submit" type="submit" value="{'cf_validate'|@translate}" name="submit"></p>
+</form>
+{literal}
+<script type="text/javascript">
+$(document).ready(function() {
+    $(".infos").fadeOut(800).fadeIn(1200).fadeOut(400).fadeIn(800).fadeOut(400);
+    $(".errors").fadeOut(200).fadeIn(200).fadeOut(300).fadeIn(300).fadeOut(400).fadeIn(400); 
+  });
+</script>
+{/literal}
+{$CF_DEBUG}
Index: extensions/ContactForm/admin/template/cf_history.tab.tpl
===================================================================
--- extensions/ContactForm/admin/template/cf_history.tab.tpl	(revision 3771)
+++ extensions/ContactForm/admin/template/cf_history.tab.tpl	(revision 3810)
@@ -10,5 +10,5 @@
   </tr>
 {foreach from=$CF_HISTORY item=history_item name=history}
-  <tr class="{if $smarty.foreach.history.index is odd}row1{else}row2{/if}">
+  <tr class="{cycle values="row2,row1"}">
     <td>
     {if isset($history_item.DATE.FORMATTED)}
Index: extensions/ContactForm/admin/template/contactform_admin.css
===================================================================
--- extensions/ContactForm/admin/template/contactform_admin.css	(revision 3771)
+++ extensions/ContactForm/admin/template/contactform_admin.css	(revision 3810)
@@ -21,2 +21,6 @@
 	text-align: right;
 }
+.cf-refresh {
+	padding-top: 5px;
+	padding-bottom: 5px;
+}