Index: extensions/akBookStyle/trunk/css/ak_style.css
===================================================================
--- extensions/akBookStyle/trunk/css/ak_style.css	(revision 3808)
+++ extensions/akBookStyle/trunk/css/ak_style.css	(revision 3811)
@@ -16,15 +16,18 @@
 }
 
+td.navbar { 
+  width: 24px;
+  padding: 200px 0 0 0;
+}
+
 td.left {
+  text-align:right;
+}
+
+td.right {
   text-align:left;
 }
 
-.ak_display a.navButton {
-}
-
 .ak_display img.button {
-}
-
-td.right {
 }
 
@@ -37,5 +40,5 @@
 }
 /******************/
-#menubar, .titrePage { 
+#theHeader, #menubar, .navigationBar, .titrePage { 
   display: none;
 }
Index: extensions/akBookStyle/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/akBookStyle/trunk/language/fr_FR/plugin.lang.php	(revision 3808)
+++ extensions/akBookStyle/trunk/language/fr_FR/plugin.lang.php	(revision 3811)
@@ -9,5 +9,5 @@
 $lang['ak_by_line_changed'] = "Le nombre de colonne a été mis à jour";
 $lang['ak_thumbnail_size'] = "Taille des imagettes";
-$lang['ak_by_line_changed'] = "La taille des imagette a été mis à jour";
+$lang['ak_thumbnail_size_changed'] = "La taille des imagette a été mis à jour";
 
 $lang['ak_event_click'] = "clic";
Index: extensions/akBookStyle/trunk/template/ak_thumbnails.tpl
===================================================================
--- extensions/akBookStyle/trunk/template/ak_thumbnails.tpl	(revision 3808)
+++ extensions/akBookStyle/trunk/template/ak_thumbnails.tpl	(revision 3811)
@@ -31,23 +31,23 @@
 <table class="ak_display"> 
   <tr>
-	{if $AK_THUMBNAILS_LOC == 'top'}
+    {if $AK_THUMBNAILS_LOC == 'top'}
     {include file=$AK_HORIZONTAL_TPL|@get_extent:'horizontal_thumbs'} 
-	</tr>
-	<tr>
-  {/if}
-	{if $AK_THUMBNAILS_LOC == 'left'}
+  </tr>
+  <tr>
+    {/if}
+    {if $AK_THUMBNAILS_LOC == 'left'}
     {include file=$AK_VERTICAL_TPL|@get_extent:'vertical_thumbs'} 
-  {/if}
+    {/if}
     <td> {* Picture *}
       {include file=$AK_RELOADED_IMAGE_TPL|@get_extent:'picture_reload'} 
     </td>
-	{if $AK_THUMBNAILS_LOC == 'right'}
+    {if $AK_THUMBNAILS_LOC == 'right'}
     {include file=$AK_VERTICAL_TPL|@get_extent:'vertical_thumbs'} 
-  {/if}
+    {/if}
   </tr>
-	{if $AK_THUMBNAILS_LOC == 'bottom'}
-	<tr>
+  {if $AK_THUMBNAILS_LOC == 'bottom'}
+  <tr>
     {include file=$AK_HORIZONTAL_TPL|@get_extent:'horizontal_thumbs'} 
-	</tr>
+  </tr>
   {/if}
 </table>
Index: extensions/akBookStyle/trunk/template/ak_vertical.tpl
===================================================================
--- extensions/akBookStyle/trunk/template/ak_vertical.tpl	(revision 3808)
+++ extensions/akBookStyle/trunk/template/ak_vertical.tpl	(revision 3811)
@@ -1,2 +1,11 @@
+    {if !empty($navbar) and isset($navbar.URL_PREV)}
+    <td class="navbar left">
+      <a class="navButton" href="{$navbar.URL_PREV}" 
+         title="{'previous_page'|@translate}">
+        <img src="{$ROOT_URL}{$themeconf.icon_dir}/left.png" 
+             class="button" alt="{'previous_page'|@translate}">
+      </a>       
+    </td> 
+    {/if}
     <td>
       <table class="thumbnails">
@@ -19,28 +28,14 @@
         {/if}
         {/foreach}
-        
-        {if isset($AK_NAV_PREV) or isset($AK_NAV_NEXT)} {* thumbnails navigation bar *}
-        <tr class="nline">
-          <td class="left">
-            {if isset($AK_NAV_PREV)} 
-            <a class="navButton" href="{$AK_NAV_PREV}" 
-               title="{'previous_page'|@translate}">
-              <img src="{$ROOT_URL}{$themeconf.icon_dir}/left.png" 
-             class="button" alt="{'previous_page'|@translate}">
-            </a> 
-            {/if}
-          </td>
-          <td class="right">
-            {if isset($AK_NAV_NEXT)} 
-            <a class="navButton" href="{$AK_NAV_NEXT}" 
-               title="{'next_page'|@translate}">
-              <img src="{$ROOT_URL}{$themeconf.icon_dir}/right.png" 
+      </table> {* end of Thumbnails *}
+    </td>
+    {if !empty($navbar) and isset($navbar.URL_NEXT)}
+    <td class="navbar right">
+      <a class="navButton" href="{$navbar.URL_NEXT}" 
+         title="{'next_page'|@translate}">
+        <img src="{$ROOT_URL}{$themeconf.icon_dir}/right.png" 
              class="button" alt="{'next_page'|@translate}">
-            </a> 
-            {/if}
-          </td>
-        </tr>
-        {/if} 
-      </table> {* end of Thumbnails *}
+      </a> 
+    </td> 
+    {/if}
 
-    </td>