Index: /extensions/PiwigoLib/TestPiwigoLib/Form1.Designer.cs
===================================================================
--- /extensions/PiwigoLib/TestPiwigoLib/Form1.Designer.cs	(revision 3819)
+++ /extensions/PiwigoLib/TestPiwigoLib/Form1.Designer.cs	(revision 3820)
@@ -30,8 +30,8 @@
         {
             this.button1 = new System.Windows.Forms.Button();
-            this.tbUser = new System.Windows.Forms.TextBox();
-            this.tbPassword = new System.Windows.Forms.TextBox();
             this.label1 = new System.Windows.Forms.Label();
             this.label2 = new System.Windows.Forms.Label();
+            this.tbPassword = new System.Windows.Forms.TextBox();
+            this.tbUser = new System.Windows.Forms.TextBox();
             this.SuspendLayout();
             // 
@@ -45,20 +45,4 @@
             this.button1.UseVisualStyleBackColor = true;
             this.button1.Click += new System.EventHandler(this.button1_Click);
-            // 
-            // tbUser
-            // 
-            this.tbUser.Location = new System.Drawing.Point(68, 12);
-            this.tbUser.Name = "tbUser";
-            this.tbUser.Size = new System.Drawing.Size(138, 20);
-            this.tbUser.TabIndex = 1;
-            // 
-            // tbPassword
-            // 
-            this.tbPassword.Location = new System.Drawing.Point(68, 38);
-            this.tbPassword.Name = "tbPassword";
-            this.tbPassword.PasswordChar = '*';
-            this.tbPassword.Size = new System.Drawing.Size(138, 20);
-            this.tbPassword.TabIndex = 2;
-            this.tbPassword.UseSystemPasswordChar = true;
             // 
             // label1
@@ -80,4 +64,24 @@
             this.label2.Text = "Password";
             // 
+            // tbPassword
+            // 
+            this.tbPassword.DataBindings.Add(new System.Windows.Forms.Binding("Text", global::TestPiwigoLib.Properties.Settings.Default, "PwdData", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
+            this.tbPassword.Location = new System.Drawing.Point(68, 38);
+            this.tbPassword.Name = "tbPassword";
+            this.tbPassword.PasswordChar = '*';
+            this.tbPassword.Size = new System.Drawing.Size(138, 20);
+            this.tbPassword.TabIndex = 2;
+            this.tbPassword.Text = global::TestPiwigoLib.Properties.Settings.Default.PwdData;
+            this.tbPassword.UseSystemPasswordChar = true;
+            // 
+            // tbUser
+            // 
+            this.tbUser.DataBindings.Add(new System.Windows.Forms.Binding("Text", global::TestPiwigoLib.Properties.Settings.Default, "userData", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
+            this.tbUser.Location = new System.Drawing.Point(68, 12);
+            this.tbUser.Name = "tbUser";
+            this.tbUser.Size = new System.Drawing.Size(138, 20);
+            this.tbUser.TabIndex = 1;
+            this.tbUser.Text = global::TestPiwigoLib.Properties.Settings.Default.userData;
+            // 
             // Form1
             // 
@@ -91,5 +95,5 @@
             this.Controls.Add(this.button1);
             this.Name = "Form1";
-            this.Text = "Form1";
+            this.Text = "Tester PiwigoLib";
             this.Load += new System.EventHandler(this.Form1_Load);
             this.ResumeLayout(false);
Index: /extensions/PiwigoLib/TestPiwigoLib/Form1.cs
===================================================================
--- /extensions/PiwigoLib/TestPiwigoLib/Form1.cs	(revision 3819)
+++ /extensions/PiwigoLib/TestPiwigoLib/Form1.cs	(revision 3820)
@@ -45,12 +45,9 @@
                 Console.WriteLine("user : " + sess.UserName + " " + sess.Status);
 
-                Boolean rc = PwgTagsService.AddTag("Loic");
+                //Boolean rc = PwgTagsService.AddTag("Loic");
 
-                List<PwgTag> lstTag = PwgTagsService.GetAdminListOfTag();
+                //List<PwgTag> lstTag = PwgTagsService.GetAdminListOfTag();
 
                 sess = PwgSessionService.Logout();
-                Console.WriteLine("user : " + sess.UserName + " " + sess.Status);
-
-                sess = PwgSessionService.Login(tbUser.Text, tbPassword.Text);
                 Console.WriteLine("user : " + sess.UserName + " " + sess.Status);
             }
@@ -58,4 +55,5 @@
             {
                 Console.WriteLine("Erreur " + ex.NumeroErr + " " + ex.MessageErr);
+                Console.WriteLine(ex.Message);
             }
 
Index: /extensions/PiwigoLib/TestPiwigoLib/Properties/Settings.Designer.cs
===================================================================
--- /extensions/PiwigoLib/TestPiwigoLib/Properties/Settings.Designer.cs	(revision 3819)
+++ /extensions/PiwigoLib/TestPiwigoLib/Properties/Settings.Designer.cs	(revision 3820)
@@ -1,28 +1,48 @@
 ﻿//------------------------------------------------------------------------------
 // <auto-generated>
-//     This code was generated by a tool.
-//     Runtime Version:2.0.50727.3082
+//     Ce code a été généré par un outil.
+//     Version du runtime :2.0.50727.3082
 //
-//     Changes to this file may cause incorrect behavior and will be lost if
-//     the code is regenerated.
+//     Les modifications apportées à ce fichier peuvent provoquer un comportement incorrect et seront perdues si
+//     le code est régénéré.
 // </auto-generated>
 //------------------------------------------------------------------------------
 
-namespace TestPiwigoLib.Properties
-{
-
-
+namespace TestPiwigoLib.Properties {
+    
+    
     [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
     [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "9.0.0.0")]
-    internal sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase
-    {
-
+    internal sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
+        
         private static Settings defaultInstance = ((Settings)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings())));
-
-        public static Settings Default
-        {
-            get
-            {
+        
+        public static Settings Default {
+            get {
                 return defaultInstance;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("")]
+        public string userData {
+            get {
+                return ((string)(this["userData"]));
+            }
+            set {
+                this["userData"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("")]
+        public string PwdData {
+            get {
+                return ((string)(this["PwdData"]));
+            }
+            set {
+                this["PwdData"] = value;
             }
         }
Index: /extensions/PiwigoLib/TestPiwigoLib/Properties/Settings.settings
===================================================================
--- /extensions/PiwigoLib/TestPiwigoLib/Properties/Settings.settings	(revision 3819)
+++ /extensions/PiwigoLib/TestPiwigoLib/Properties/Settings.settings	(revision 3820)
@@ -1,7 +1,12 @@
 ﻿<?xml version='1.0' encoding='utf-8'?>
-<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)">
-  <Profiles>
-    <Profile Name="(Default)" />
-  </Profiles>
-  <Settings />
+<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)" GeneratedClassNamespace="TestPiwigoLib.Properties" GeneratedClassName="Settings">
+  <Profiles />
+  <Settings>
+    <Setting Name="userData" Type="System.String" Scope="User">
+      <Value Profile="(Default)" />
+    </Setting>
+    <Setting Name="PwdData" Type="System.String" Scope="User">
+      <Value Profile="(Default)" />
+    </Setting>
+  </Settings>
 </SettingsFile>
Index: /extensions/PiwigoLib/TestPiwigoLib/TestPiwigoLib.csproj
===================================================================
--- /extensions/PiwigoLib/TestPiwigoLib/TestPiwigoLib.csproj	(revision 3819)
+++ /extensions/PiwigoLib/TestPiwigoLib/TestPiwigoLib.csproj	(revision 3820)
@@ -4,5 +4,5 @@
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
     <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
-    <ProductVersion>9.0.30729</ProductVersion>
+    <ProductVersion>9.0.21022</ProductVersion>
     <SchemaVersion>2.0</SchemaVersion>
     <ProjectGuid>{9B390DE8-884A-433D-828A-C7B969F19924}</ProjectGuid>
@@ -59,4 +59,5 @@
     <EmbeddedResource Include="Form1.resx">
       <DependentUpon>Form1.cs</DependentUpon>
+      <SubType>Designer</SubType>
     </EmbeddedResource>
     <EmbeddedResource Include="Properties\Resources.resx">
@@ -69,4 +70,5 @@
       <DependentUpon>Resources.resx</DependentUpon>
     </Compile>
+    <None Include="app.config" />
     <None Include="Properties\Settings.settings">
       <Generator>SettingsSingleFileGenerator</Generator>