Index: extensions/PiwigoLib/TestPiwigoLib/Form1.Designer.cs
===================================================================
--- extensions/PiwigoLib/TestPiwigoLib/Form1.Designer.cs	(revision 3820)
+++ extensions/PiwigoLib/TestPiwigoLib/Form1.Designer.cs	(revision 3821)
@@ -32,6 +32,8 @@
             this.label1 = new System.Windows.Forms.Label();
             this.label2 = new System.Windows.Forms.Label();
+            this.label3 = new System.Windows.Forms.Label();
+            this.tbServer = new System.Windows.Forms.TextBox();
+            this.tbUser = new System.Windows.Forms.TextBox();
             this.tbPassword = new System.Windows.Forms.TextBox();
-            this.tbUser = new System.Windows.Forms.TextBox();
             this.SuspendLayout();
             // 
@@ -41,5 +43,5 @@
             this.button1.Name = "button1";
             this.button1.Size = new System.Drawing.Size(75, 23);
-            this.button1.TabIndex = 0;
+            this.button1.TabIndex = 40;
             this.button1.Text = "Tester";
             this.button1.UseVisualStyleBackColor = true;
@@ -49,8 +51,8 @@
             // 
             this.label1.AutoSize = true;
-            this.label1.Location = new System.Drawing.Point(12, 15);
+            this.label1.Location = new System.Drawing.Point(12, 40);
             this.label1.Name = "label1";
             this.label1.Size = new System.Drawing.Size(29, 13);
-            this.label1.TabIndex = 3;
+            this.label1.TabIndex = 20;
             this.label1.Text = "User";
             // 
@@ -58,29 +60,46 @@
             // 
             this.label2.AutoSize = true;
-            this.label2.Location = new System.Drawing.Point(12, 41);
+            this.label2.Location = new System.Drawing.Point(12, 66);
             this.label2.Name = "label2";
             this.label2.Size = new System.Drawing.Size(53, 13);
-            this.label2.TabIndex = 4;
+            this.label2.TabIndex = 30;
             this.label2.Text = "Password";
             // 
-            // tbPassword
+            // label3
             // 
-            this.tbPassword.DataBindings.Add(new System.Windows.Forms.Binding("Text", global::TestPiwigoLib.Properties.Settings.Default, "PwdData", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
-            this.tbPassword.Location = new System.Drawing.Point(68, 38);
-            this.tbPassword.Name = "tbPassword";
-            this.tbPassword.PasswordChar = '*';
-            this.tbPassword.Size = new System.Drawing.Size(138, 20);
-            this.tbPassword.TabIndex = 2;
-            this.tbPassword.Text = global::TestPiwigoLib.Properties.Settings.Default.PwdData;
-            this.tbPassword.UseSystemPasswordChar = true;
+            this.label3.AutoSize = true;
+            this.label3.Location = new System.Drawing.Point(12, 14);
+            this.label3.Name = "label3";
+            this.label3.Size = new System.Drawing.Size(38, 13);
+            this.label3.TabIndex = 10;
+            this.label3.Text = "Server";
+            // 
+            // tbServer
+            // 
+            this.tbServer.DataBindings.Add(new System.Windows.Forms.Binding("Text", global::TestPiwigoLib.Properties.Settings.Default, "serverUrlData", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
+            this.tbServer.Location = new System.Drawing.Point(68, 11);
+            this.tbServer.Name = "tbServer";
+            this.tbServer.Size = new System.Drawing.Size(138, 20);
+            this.tbServer.TabIndex = 11;
+            this.tbServer.Text = global::TestPiwigoLib.Properties.Settings.Default.serverUrlData;
             // 
             // tbUser
             // 
             this.tbUser.DataBindings.Add(new System.Windows.Forms.Binding("Text", global::TestPiwigoLib.Properties.Settings.Default, "userData", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
-            this.tbUser.Location = new System.Drawing.Point(68, 12);
+            this.tbUser.Location = new System.Drawing.Point(68, 37);
             this.tbUser.Name = "tbUser";
             this.tbUser.Size = new System.Drawing.Size(138, 20);
-            this.tbUser.TabIndex = 1;
+            this.tbUser.TabIndex = 21;
             this.tbUser.Text = global::TestPiwigoLib.Properties.Settings.Default.userData;
+            // 
+            // tbPassword
+            // 
+            this.tbPassword.DataBindings.Add(new System.Windows.Forms.Binding("Text", global::TestPiwigoLib.Properties.Settings.Default, "pwdData", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
+            this.tbPassword.Location = new System.Drawing.Point(68, 63);
+            this.tbPassword.Name = "tbPassword";
+            this.tbPassword.PasswordChar = '*';
+            this.tbPassword.Size = new System.Drawing.Size(138, 20);
+            this.tbPassword.TabIndex = 31;
+            this.tbPassword.Text = global::TestPiwigoLib.Properties.Settings.Default.pwdData;
             // 
             // Form1
@@ -89,7 +108,9 @@
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
             this.ClientSize = new System.Drawing.Size(221, 143);
+            this.Controls.Add(this.tbPassword);
+            this.Controls.Add(this.label3);
+            this.Controls.Add(this.tbServer);
             this.Controls.Add(this.label2);
             this.Controls.Add(this.label1);
-            this.Controls.Add(this.tbPassword);
             this.Controls.Add(this.tbUser);
             this.Controls.Add(this.button1);
@@ -97,4 +118,5 @@
             this.Text = "Tester PiwigoLib";
             this.Load += new System.EventHandler(this.Form1_Load);
+            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.Form1_FormClosing);
             this.ResumeLayout(false);
             this.PerformLayout();
@@ -106,7 +128,9 @@
         private System.Windows.Forms.Button button1;
         private System.Windows.Forms.TextBox tbUser;
-        private System.Windows.Forms.TextBox tbPassword;
         private System.Windows.Forms.Label label1;
         private System.Windows.Forms.Label label2;
+        private System.Windows.Forms.Label label3;
+        private System.Windows.Forms.TextBox tbServer;
+        private System.Windows.Forms.TextBox tbPassword;
     }
 }
Index: extensions/PiwigoLib/TestPiwigoLib/Form1.cs
===================================================================
--- extensions/PiwigoLib/TestPiwigoLib/Form1.cs	(revision 3820)
+++ extensions/PiwigoLib/TestPiwigoLib/Form1.cs	(revision 3821)
@@ -30,5 +30,5 @@
         {
             PwgConfigProxy.PwgUserAgent = "TestPiwigoLib";
-            PwgConfigProxy.PwgServeurUriBuilder.Host = "bayral.free.fr";
+            PwgConfigProxy.PwgServeurUriBuilder.Host = tbServer.Text;
             PwgConfigProxy.PwgServeurUriBuilder.Path = "phpwebgallery/ws.php";
             PwgConfigProxy.PwgServeurUriBuilder.Scheme = "http://";
@@ -57,8 +57,9 @@
                 Console.WriteLine(ex.Message);
             }
+        }
 
-            
-
-
+        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            global::TestPiwigoLib.Properties.Settings.Default.Save();
         }
     }
Index: extensions/PiwigoLib/TestPiwigoLib/Properties/AssemblyInfo.cs
===================================================================
--- extensions/PiwigoLib/TestPiwigoLib/Properties/AssemblyInfo.cs	(revision 3820)
+++ extensions/PiwigoLib/TestPiwigoLib/Properties/AssemblyInfo.cs	(revision 3821)
@@ -9,5 +9,5 @@
 [assembly: AssemblyDescription("")]
 [assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("")]
+[assembly: AssemblyCompany("Piwigo")]
 [assembly: AssemblyProduct("TestPiwigoLib")]
 [assembly: AssemblyCopyright("Copyright ©  2009")]
Index: extensions/PiwigoLib/TestPiwigoLib/Properties/Settings.Designer.cs
===================================================================
--- extensions/PiwigoLib/TestPiwigoLib/Properties/Settings.Designer.cs	(revision 3820)
+++ extensions/PiwigoLib/TestPiwigoLib/Properties/Settings.Designer.cs	(revision 3821)
@@ -39,10 +39,22 @@
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
         [global::System.Configuration.DefaultSettingValueAttribute("")]
-        public string PwdData {
+        public string pwdData {
             get {
-                return ((string)(this["PwdData"]));
+                return ((string)(this["pwdData"]));
             }
             set {
-                this["PwdData"] = value;
+                this["pwdData"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("")]
+        public string serverUrlData {
+            get {
+                return ((string)(this["serverUrlData"]));
+            }
+            set {
+                this["serverUrlData"] = value;
             }
         }
Index: extensions/PiwigoLib/TestPiwigoLib/Properties/Settings.settings
===================================================================
--- extensions/PiwigoLib/TestPiwigoLib/Properties/Settings.settings	(revision 3820)
+++ extensions/PiwigoLib/TestPiwigoLib/Properties/Settings.settings	(revision 3821)
@@ -6,5 +6,8 @@
       <Value Profile="(Default)" />
     </Setting>
-    <Setting Name="PwdData" Type="System.String" Scope="User">
+    <Setting Name="pwdData" Type="System.String" Scope="User">
+      <Value Profile="(Default)" />
+    </Setting>
+    <Setting Name="serverUrlData" Type="System.String" Scope="User">
       <Value Profile="(Default)" />
     </Setting>
Index: extensions/PiwigoLib/TestPiwigoLib/Settings.cs
===================================================================
--- extensions/PiwigoLib/TestPiwigoLib/Settings.cs	(revision 3821)
+++ extensions/PiwigoLib/TestPiwigoLib/Settings.cs	(revision 3821)
@@ -0,0 +1,28 @@
+﻿namespace TestPiwigoLib.Properties {
+    
+    
+    // Cette classe vous permet de gérer des événements spécifiques dans la classe de paramètres :
+    //  L'événement SettingChanging est déclenché avant la modification d'une valeur de paramètre.
+    //  L'événement PropertyChanged est déclenché après la modification d'une valeur de paramètre.
+    //  L'événement SettingsLoaded est déclenché après le chargement des valeurs de paramètre.
+    //  L'événement SettingsSaving est déclenché avant l'enregistrement des valeurs de paramètre.
+    internal sealed partial class Settings {
+        
+        public Settings() {
+            // Pour ajouter des gestionnaires d'événements afin d'enregistrer et de modifier les paramètres, supprimez les marques de commentaire des lignes ci-dessous :
+            
+            //this.SettingChanging += this.SettingChangingEventHandler;
+            
+            //this.SettingsSaving += this.SettingsSavingEventHandler;
+            
+        }
+        
+        private void SettingChangingEventHandler(object sender, System.Configuration.SettingChangingEventArgs e) {
+            // Ajouter du code pour gérer l'événement SettingChangingEvent ici.
+        }
+        
+        private void SettingsSavingEventHandler(object sender, System.ComponentModel.CancelEventArgs e) {
+            // Ajouter du code pour gérer l'événement SettingsSaving ici.
+        }
+    }
+}
Index: extensions/PiwigoLib/TestPiwigoLib/TestPiwigoLib.csproj
===================================================================
--- extensions/PiwigoLib/TestPiwigoLib/TestPiwigoLib.csproj	(revision 3820)
+++ extensions/PiwigoLib/TestPiwigoLib/TestPiwigoLib.csproj	(revision 3821)
@@ -4,5 +4,5 @@
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
     <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
-    <ProductVersion>9.0.21022</ProductVersion>
+    <ProductVersion>9.0.30729</ProductVersion>
     <SchemaVersion>2.0</SchemaVersion>
     <ProjectGuid>{9B390DE8-884A-433D-828A-C7B969F19924}</ProjectGuid>
@@ -80,4 +80,5 @@
       <DesignTimeSharedInput>True</DesignTimeSharedInput>
     </Compile>
+    <Compile Include="Settings.cs" />
   </ItemGroup>
   <ItemGroup>
Index: extensions/PiwigoLib/TestPiwigoLib/app.config
===================================================================
--- extensions/PiwigoLib/TestPiwigoLib/app.config	(revision 3821)
+++ extensions/PiwigoLib/TestPiwigoLib/app.config	(revision 3821)
@@ -0,0 +1,21 @@
+﻿<?xml version="1.0" encoding="utf-8" ?>
+<configuration>
+    <configSections>
+        <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
+            <section name="TestPiwigoLib.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+        </sectionGroup>
+    </configSections>
+    <userSettings>
+        <TestPiwigoLib.Properties.Settings>
+            <setting name="userData" serializeAs="String">
+                <value />
+            </setting>
+            <setting name="pwdData" serializeAs="String">
+                <value />
+            </setting>
+            <setting name="serverUrlData" serializeAs="String">
+                <value />
+            </setting>
+        </TestPiwigoLib.Properties.Settings>
+    </userSettings>
+</configuration>