Index: /extensions/PiwigoLib/PiwigoLib/Service/PwgImagesService.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/Service/PwgImagesService.cs	(revision 3827)
+++ /extensions/PiwigoLib/PiwigoLib/Service/PwgImagesService.cs	(revision 3828)
@@ -88,4 +88,11 @@
                 }
 
+                returnValue.Tags = new List<PwgTag>();
+                foreach (PwgTagProxyResponse tagResp in  response.Tags)
+                {
+                    PwgTag aTag = PwgTagsService.ConvertProxyResponseToDTO(tagResp);
+                    returnValue.Tags.Add(aTag);
+                }
+
             }
             catch (Exception ex)
Index: /extensions/PiwigoLib/PiwigoLib/Service/PwgTagsService.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/Service/PwgTagsService.cs	(revision 3827)
+++ /extensions/PiwigoLib/PiwigoLib/Service/PwgTagsService.cs	(revision 3828)
@@ -89,5 +89,9 @@
         }
 
-
+        /// <summary>
+        /// Add a Tag
+        /// </summary>
+        /// <param name="tagName"></param>
+        /// <returns></returns>
         static public Boolean AddTag(String tagName)
         {
@@ -124,20 +128,28 @@
 
         /// <summary>
-        /// private: convert response to dto object
-        /// </summary>
-        /// <param name="response"></param>
-        /// <param name="session"></param>
-        static private List<PwgTag> ConvertProxyResponseToDTO(PwgTagsProxyResponse response)
-        {
-            List<PwgTag> returnValue = new List<PwgTag>();
-
-            foreach (PwgTagProxyResponse respTag in response.Tags)
-            {
-                returnValue.Add(ConvertProxyResponseToDTO(respTag));
-            }
-
-            return returnValue;
-        }
-
+        /// Return the list of image form a list of tag
+        /// </summary>
+        /// <param name="tagsId"></param>
+        /// <param name="tagsUrlName"></param>
+        /// <param name="tagsName"></param>
+        /// <param name="tagModeAnd"></param>
+        /// <param name="perPage"></param>
+        /// <param name="Page"></param>
+        /// <param name="Order"></param>
+        /// <param name="minRate"></param>
+        /// <param name="maxRate"></param>
+        /// <param name="minHit"></param>
+        /// <param name="maxHit"></param>
+        /// <param name="minDateAvailable"></param>
+        /// <param name="maxDateAvailable"></param>
+        /// <param name="minDateCreated"></param>
+        /// <param name="maxDateCreated"></param>
+        /// <param name="minRatio"></param>
+        /// <param name="maxRatio"></param>
+        /// <param name="withThumbnail"></param>
+        /// <param name="PageReturned"></param>
+        /// <param name="PerPageeReturned"></param>
+        /// <param name="CountReturned"></param>
+        /// <returns></returns>
         static public List<PwgImage> GetListOfImagesFormTags(List<Int32> tagsId,
                                                             List<String> tagsUrlName,
@@ -213,4 +225,5 @@
         }
 
+
         /// <summary>
         /// private: convert response to dto object
@@ -218,5 +231,23 @@
         /// <param name="response"></param>
         /// <param name="session"></param>
-        static private PwgTag ConvertProxyResponseToDTO(PwgTagProxyResponse response)
+        static public List<PwgTag> ConvertProxyResponseToDTO(PwgTagsProxyResponse response)
+        {
+            List<PwgTag> returnValue = new List<PwgTag>();
+
+            foreach (PwgTagProxyResponse respTag in response.Tags)
+            {
+                returnValue.Add(ConvertProxyResponseToDTO(respTag));
+            }
+
+            return returnValue;
+        }
+
+
+        /// <summary>
+        /// private: convert response to dto object
+        /// </summary>
+        /// <param name="response"></param>
+        /// <param name="session"></param>
+        static public PwgTag ConvertProxyResponseToDTO(PwgTagProxyResponse response)
         {
             PwgTag returnValue = new PwgTag();